Bug 830064 - Does get properly started by systemd
Does get properly started by systemd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: inadyn-mt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 02:47 EDT by Tore Anderson
Modified: 2012-12-20 10:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:33:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2012-06-08 02:47:31 EDT
Description of problem:

inadyn-mt doesn't start correctly at boot (or from systemd in general).

Version-Release number of selected component (if applicable):

inadyn-mt-2.24.36-3.fc17.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Install inadyn-mt
2. Edit the default /etc/inadyn-mt.conf, setting the username/password/alias variables, leaving the other settings as-is
3. Attempt to start inadyn-mt with "systemctl start inadyn.service"
  
Actual results:

The inadyn process doesn't get started correctly. It may log "W:INADYN: IPv4 address read from cache file [...]" to /var/log/messages, but there's no inadyn process to be seen, so it cannot react to changes in the IP address.

Expected results:

The daemon process should be started like it did in Fedora versions before systemd.

Additional info:

I've found that I can fix this problem by removing the "background" line from /etc/inadyn-mt.conf, and the "Type=oneshot" line from /usr/lib/systemd/system/inadyn.service.
Comment 1 Fedora Update System 2012-10-05 13:13:48 EDT
inadyn-mt-2.24.36-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/inadyn-mt-2.24.36-7.fc18
Comment 2 Fedora Update System 2012-10-06 01:27:00 EDT
Package inadyn-mt-2.24.36-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing inadyn-mt-2.24.36-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15515/inadyn-mt-2.24.36-7.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 10:33:47 EST
inadyn-mt-2.24.36-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.